
Figure - Bug #113931
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现ANR：com.android.settings（2）
2022-11-14 13:44 - CD Test赵飞

Status: CLOSED Start date: 2022-11-14

Priority: Normal Due date: 2022-12-30

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211110608

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下��Reason: Input dispatching timed out (Application does not have a focused window)����剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113944票里跟踪分析

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// NOT RESPONDING: com.android.settings (pid 24158)

ANR in com.android.settings (com.android.settings/.panel.SettingsPanelActivity)

PID: 24158

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.settings/.panel.SettingsPanelActivity

ErrorId: c982ff58-adca-402b-ad7a-214aeda08ba5

Frozen: false

Load: 2.82 / 2.39 / 2.24

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=6635950

full avg10=0.00 avg60=0.00 avg300=0.00 total=3373842

----- End output from /proc/pressure/memory -----

CPU usage from 0ms to 14492ms later (2022-11-11 17:04:25.657 to 2022-11-11 17:04:40.149):

  98% 1058/sensors.qti: 19% user + 79% kernel

  56% 1232/tlog: 1.8% user + 55% kernel

  40% 1123/system_server: 11% user + 29% kernel / faults: 19385 minor

  36% 4797/tlog: 1.1% user + 35% kernel / faults: 1 minor

  21% 956/vendor.qti.hardware.display.composer-service: 6.5% user + 15% kernel / faults: 368 minor

  3.8% 1576/llkd: 0.3% user + 3.4% kernel

  16% 1329/media.codec: 7.1% user + 9.6% kernel / faults: 22526 minor

  14% 1047/surfaceflinger: 6.9% user + 7.9% kernel / faults: 2103 minor

  8.9% 17709/com.qualcomm.qti.usta: 4.9% user + 3.9% kernel / faults: 879 minor

  5% 502/logd: 0.7% user + 4.2% kernel

...
【日志】

Tlog和ANR目录见FTP：

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113739/Tlog&#38;ANR.zip

History

#1 - 2022-11-14 16:04 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2022-11-15 10:30 - CD FW 曹覃刚

- % Done changed from 0 to 20

UserDebug版本运行Monkey跑出的问题，将在user版本上跑三个版本观察，如果不再复现，我们将关闭这个问题

#3 - 2022-11-16 11:20 - CD Test赵飞

此问题在11月15号Release版本（user）上三台设备共复现2次

请继续分析（user版本暂不能提供ANR目录，待相关Bug修复后再提供新的日志）

#4 - 2022-11-16 19:16 - CDTS-TEST 周婷

- Due date deleted (2022-11-21)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#5 - 2022-11-24 22:44 - CD FW-廖涛

- Root cause set to 需要详细日志

#6 - 2022-12-14 18:36 - CD FW-廖涛

- Due date set to 2022-12-30

#7 - 2022-12-26 10:55 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW 曹覃刚

#8 - 2022-12-27 16:31 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

- % Done changed from 20 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause changed from 需要详细日志 to 目前剩余ANR问题，原因一致，如下

Reason: Input dispatching timed out (Application does not have a focused window)

剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113944票里跟踪分析

#9 - 2022-12-28 14:53 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED
经调查分析，产生ANR的原因与113944票一样，使用113944跟踪此类问题，关闭此票

#10 - 2022-12-28 14:54 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
